org.aspectj.weaver.loadtime.definition

## Class DocumentParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.aspectj.weaver.loadtime.definition.DocumentParser

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class DocumentParser
    extends org.xml.sax.helpers.DefaultHandler

Author:
  Alexandre Vasseur, A. Nevado, Andy Clement

### Method Summary

Methods
`static void` `deactivateCaching()` Turn off caching
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`void` `error(org.xml.sax.SAXParseException e)`
`void` `fatalError(org.xml.sax.SAXParseException e)`
`static Definition` `parse(java.net.URL url)`
`org.xml.sax.InputSource` `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
`void` `warning(org.xml.sax.SAXParseException e)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static Definition parse(java.net.URL url)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                        java.lang.String systemId)
                                          throws org.xml.sax.SAXException

Specified by:
  `resolveEntity` in interface `org.xml.sax.EntityResolver`
Overrides:
  `resolveEntity` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### startElement

    public void startElement(java.lang.String uri,
                    java.lang.String localName,
                    java.lang.String qName,
                    org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endElement

    public void endElement(java.lang.String uri,
                  java.lang.String localName,
                  java.lang.String qName)
                    throws org.xml.sax.SAXException

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

Specified by:
  `warning` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `warning` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `error` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Overrides:
  `fatalError` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### deactivateCaching

    public static void deactivateCaching()

Turn off caching